/*
 *  
 *  Copyright (c) 2004 Steve Slaven, All Rights Reserved.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA 02111-1307 USA
 *  
*/
package net.hoopajoo.cheeselab3;

import java.io.*;

// encapsulation class to send files, (small ones hopefully...)
public class CheeseFile extends java.lang.Object implements java.io.Serializable {
	byte[] data;
	String filename;
	
	CheeseFile( String f ) {
		filename = f;
		
		File file = new File( f );
		data = new byte[ (int)file.length() ];
		
		// Read the file
		try {
			BufferedInputStream in = new BufferedInputStream( new FileInputStream( file ) );
			in.read( data );
			in.close();
		}catch( Exception e ) {
			e.printStackTrace();
			data = null;
		}
	}
	
	public void save( String prefix ) {
		if( data != null ) {
			File newfile = new File( filename );
			newfile = new File( prefix + "/" + newfile.getName() );
			try {
				FileOutputStream out = new FileOutputStream( newfile );
				out.write( data );
				out.close();
			}catch( Exception e ) {
				e.printStackTrace();
			}
		}
	}
}
